Bug 152400 - CVE-2005-0400 ext2 mkdir() directory entry random kernel memory leak
Summary: CVE-2005-0400 ext2 mkdir() directory entry random kernel memory leak
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard: source=vendorsec,public=20050321,repo...
Keywords: Security
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-03-29 10:04 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:52:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mark J. Cox 2005-03-29 10:04:59 UTC
A flaw was discovered in ext2 filesystem support affecting 2.4 and 2.6 kernels.
 When a new directory is created, the ext2 block written to disk is initialized,
leading to an information leak.

The following script can easily show the problem on Linux 2.4 and 2.6:

#!/bin/sh
FILE=foo
dd if=/dev/zero of=$FILE bs=1k count=8192
mke2fs -F -b 1024 -m0 $FILE
mount -o loop $FILE mnt
for D in `seq 500` ; do mkdir mnt/$D ; done
umount mnt

Using 'strings foo' will reveal the information leak in the file.

Patch committed upstream, see

        fixed=2.6-bk (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bfc9vHVlT4nv2o4ys4_sf6vzKA
        fixed=2.4-bk (20050325 
http://linux.bkbits.net:8080/linux-2.4/cset@424473284plfEOB185qmyHPQyNPq4Q

Comment 1 Mark J. Cox 2005-03-29 10:09:49 UTC
("is not initialized")

Comment 2 Ernie Petrides 2005-03-30 21:50:19 UTC
This information leak is visible solely to the super-user.


Comment 7 Ernie Petrides 2005-05-27 02:26:46 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.5.EL).


Comment 13 Red Hat Bugzilla 2005-09-28 14:52:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.